Myrinet Express-Specific Functions

## Functions

static inline int | hwloc_mx_board_get_device_cpuset (hwloc_topology_t topology, unsigned id, hwloc_cpuset_t set)
static inline int | hwloc_mx_endpoint_get_device_cpuset (hwloc_topology_t topology, mx_endpoint_t endpoint, hwloc_cpuset_t set)

## Detailed Description

## Function Documentation

static inline int hwloc_mx_board_get_device_cpuset | ( | hwloc_topology_t | topology,
|  | unsigned | id,
|  | hwloc_cpuset_t | set
| ) |  |

static

Get the CPU set of logical processors that are physically close the MX board `id`.

For the given Myrinet Express board index `id`, read the OS-provided NUMA node and return the corresponding CPU set.

Topology `topology` must match the current machine.

static inline int hwloc_mx_endpoint_get_device_cpuset | ( | hwloc_topology_t | topology,
|  | mx_endpoint_t | endpoint,
|  | hwloc_cpuset_t | set
| ) |  |

static

Get the CPU set of logical processors that are physically close to endpoint `endpoint`.

For the given Myrinet Express endpoint `endpoint`, read the OS-provided NUMA node and return the corresponding CPU set.

Topology `topology` must match the current machine.